ALTER TABLE `conninfo` ADD `data_start_time` DATETIME NOT NULL AFTER `last_checkin_time` ,
ADD `data_end_time` DATETIME NOT NULL AFTER `data_start_time` ;

ALTER TABLE `commands` DROP INDEX `instance_id` ,
ADD UNIQUE `instance_id` ( `instance_id` , `object_id` , `config_type` ) ;

ALTER TABLE `contacts` DROP INDEX `instance_id` ,
ADD UNIQUE `instance_id` ( `instance_id` , `config_type` , `contact_object_id` ) ;

ALTER TABLE `contactgroups` DROP INDEX `instance_id` ,
ADD UNIQUE `instance_id` ( `instance_id` , `config_type` , `object_id` ) ;

ALTER TABLE `servicegroups` DROP INDEX `instance_id` ,
ADD UNIQUE `instance_id` ( `instance_id` , `config_type` , `object_id` ) ;

ALTER TABLE `timeperiods` DROP INDEX `instance_id` ,
ADD UNIQUE `instance_id` ( `instance_id` , `config_type` , `object_id` ) ;

ALTER TABLE `logentries` ADD `entry_time` DATETIME NOT NULL AFTER `logentry_time` ,
ADD `entry_time_usec` INT NOT NULL AFTER `entry_time` ;

ALTER TABLE `logentries` ADD `realtime_data` SMALLINT NOT NULL ,
ADD `inferred_data_extracted` SMALLINT NOT NULL ;

ALTER TABLE `contactnotifications` CHANGE `contact_id` `contact_object_id` INT( 11 ) NOT NULL DEFAULT '0' ;

ALTER TABLE `hostchecks` CHANGE `object_id` `host_object_id` INT( 11 ) NOT NULL DEFAULT '0' ;

ALTER TABLE `servicechecks` CHANGE `object_id` `service_object_id` INT( 11 ) NOT NULL DEFAULT '0' ;

ALTER TABLE `servicestatus` CHANGE `object_id` `service_object_id` INT( 11 ) NOT NULL DEFAULT '0' ;

ALTER TABLE `hoststatus` CHANGE `object_id` `host_object_id` INT( 11 ) NOT NULL DEFAULT '0' ;

ALTER TABLE `contactgroups` CHANGE `object_id` `contactgroup_object_id` INT( 11 ) NOT NULL DEFAULT '0' ;

ALTER TABLE `hosts` CHANGE `object_id` `host_object_id` INT( 11 ) NOT NULL DEFAULT '0' ;

ALTER TABLE `hostdependencies` CHANGE `object_id` `host_object_id` INT( 11 ) NOT NULL DEFAULT '0',
CHANGE `dependent_object_id` `dependent_host_object_id` INT( 11 ) NOT NULL DEFAULT '0' ;

ALTER TABLE `hostextinfo` CHANGE `object_id` `host_object_id` INT( 11 ) NOT NULL DEFAULT '0' ;

ALTER TABLE `hostgroups` CHANGE `object_id` `hostgroup_object_id` INT( 11 ) NOT NULL DEFAULT '0' ;

ALTER TABLE `services` CHANGE `object_id` `service_object_id` INT( 11 ) NOT NULL DEFAULT '0' ;

ALTER TABLE `serviceextinfo` CHANGE `object_id` `service_object_id` INT( 11 ) NOT NULL DEFAULT '0' ;

ALTER TABLE `servicedependencies` CHANGE `object_id` `service_object_id` INT( 11 ) NOT NULL DEFAULT '0',
CHANGE `dependent_object_id` `dependent_service_object_id` INT( 11 ) NOT NULL DEFAULT '0' ;

ALTER TABLE `servicegroups` CHANGE `object_id` `servicegroup_object_id` INT( 11 ) NOT NULL DEFAULT '0' ;

ALTER TABLE `timeperiods` CHANGE `object_id` `timeperiod_object_id` INT( 11 ) NOT NULL DEFAULT '0' ;

ALTER TABLE `conninfo` CHANGE `connection` `connect_source` VARCHAR( 16 ) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL ;

ALTER TABLE `ndo_hosts` ADD `address` VARCHAR( 128 ) NOT NULL AFTER `host_object_id` ;


